org.jboss.resteasy.util

## Class FindAnnotation

- java.lang.Object
- - org.jboss.resteasy.util.FindAnnotation

-     public final class FindAnnotation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `findAnnotation(Annotation[] searchList, Class<T> annotation)` FIXME Comment this
    `static <T extends Annotation> T` | `findAnnotation(Class<?> type, Annotation[] annotations, Class<T> annotation)` Look for an annotation in a list of annotations.
    `static Class<? extends Annotation>[]` | `findJaxRSAnnotations(Annotation[] searchList)`
    `static Annotation[]` | `getResourcesAnnotations(Method method)` Returns an array of annotations the specified method of a resource class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### findAnnotation

          public static <T> T findAnnotation(Annotation[] searchList,
                             Class<T> annotation)

      FIXME Comment this
      Type Parameters:
        `T` -
      Parameters:
        `searchList` -
        `annotation` -
      Returns:

    - #### findJaxRSAnnotations

          public static Class<? extends Annotation>[] findJaxRSAnnotations(Annotation[] searchList)

    - #### getResourcesAnnotations

          public static Annotation[] getResourcesAnnotations(Method method)

      Returns an array of annotations the specified method of a resource class.
      Parameters:
        `method` -
      Returns:

    - #### findAnnotation

          public static <T extends Annotation> T findAnnotation(Class<?> type,
                                                Annotation[] annotations,
                                                Class<T> annotation)

      Look for an annotation in a list of annotations. If not there, see if it is on the type provided
      Parameters:
        `type` -
        `annotations` -
        `annnotation` -
      Returns:

Copyright © 2014. All Rights Reserved.